<div id="modals">
    <div class="modal fade" id="modalUsuario">
        <div class="modal-dialog modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Nuevo Usuario</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="formNuevoUsuario" class="needs-validation" novalidate>
                         <div class="form-floating mb-3">
                            <input type="number" class="form-control" id="idUsuario" name="idUsuario" placeholder="user">
                            <label for="idUsuario">ID Usuario</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="number" minlength="8" class="form-control" id="dniUsuarioNuevo" name="dniUsuario" placeholder="user" required>
                            <label for="dniUsuario">DNI</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="nombresUsuarioNuevo" name="nombres" placeholder="name" required>
                            <label for="nombresUsuarioNuevo">Nombres</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="apellidosUsuarioNuevo" name="apellidos" placeholder="lastname" required>
                            <label for="apellidosUsuarioNuevo">Apellidos</label>
                        </div>
                        <div class="form-floating mb-3">
                            <select class="form-select" id="estadoUsuario" name="estado" aria-label="" required>
                                <option value="activo">Activo</option>
                                <option value="desactivado">Desactivado</option>
                                <option value="bloqueado">Bloqueado</option>
                            </select>
                            <label for="estadoUsuario">Estado</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="email" class="form-control" id="emailUsuarioNuevo" name="email" placeholder="name@example.com" required>
                            <label for="emailUsuarioNuevo">Email</label>
                        </div>
                        <div class="form-floating mb-3">
                            <select class="form-select" id="permisosUsuarioNuevo" name="permisos" aria-label="" required>
                                <option selected>Seleccionar</option>
                                <option value="Administrador">Administrador</option>
                                <option value="Usuario">Usuario</option>
                            </select>
                            <label for="permisosUsuarioNuevo">Permisos</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="usernameUsuarioNuevo" name="usuario" placeholder="username" required>
                            <label for="usernameUsuarioNuevo">Usuario</label>
                        </div>
                        <div class="form-floating">
                            <input type="password" class="form-control" id="passwordUsuarioNuevo" name="password" placeholder="Password" required>
                            <label for="passwordUsuarioNuevo">Password</label>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                    <button type="button" class="btn btn-primary" id="btnAction" onclick="agregarNuevoUsuario()">Guardar</button>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
    <h1 class="h2">
        Usuarios
    </h1>
    <div class="btn-toolbar mb-2 mb-md-0">
        <div class="btn-group me-2">
            <button class="btn btn-sm btn-primary" type="button" onclick="abrirModalNuevoUsuario()">
                <i class="bi bi-person-plus-fill"></i>
                Nuevo
            </button>
        </div>
    </div>
</div>
<div class="table">
    <table class="table table-striped table-sm" id="idTabla">
        <thead>
            <tr>
                <th scope="col">Dni</th>
                <th scope="col">Nombres</th>
                <th scope="col">Apellidos</th>
                <th scope="col">Email</th>
                <th scope="col">Permisos</th>
                <th scope="col">Estado</th>
                <th scope="col">En linea</th>
                <th scope="col">Opciones</th>
            </tr>
        </thead>
    </table>
</div>